Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol
Class SimRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              nl.tudelft.simulation.dsol.SimRuntimeException

All Implemented Interfaces:
  java.io.Serializable

public class SimRuntimeException
extends java.lang.Exception

This class defines SimRuntimeException. This exception is thrown throughout DSOL whenever exceptions occur which are directly linked to the simulator.
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  2.0 21.09.2003
Author:
  Peter Jacobs , Niels Lang Alexander Verbraeck
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`SimRuntimeException()` Constructor for SimRuntimeException.
`SimRuntimeException(java.lang.String message)` constructs a new SimRuntimeException
`SimRuntimeException(java.lang.String message, java.lang.Throwable cause)` constructs a new SimRuntimeException
`SimRuntimeException(java.lang.Throwable cause)` Constructor for SimRuntimeException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimRuntimeException

    public SimRuntimeException()

  Constructor for SimRuntimeException.

### SimRuntimeException

    public SimRuntimeException(java.lang.String message)

  constructs a new SimRuntimeException

Parameters:
  `message` - the exception message

### SimRuntimeException

    public SimRuntimeException(java.lang.String message,
                               java.lang.Throwable cause)

  constructs a new SimRuntimeException

Parameters:
  `message` - the exception message
  `cause` - the originating throwable

### SimRuntimeException

    public SimRuntimeException(java.lang.Throwable cause)

  Constructor for SimRuntimeException.

Parameters:
  `cause` - the originating throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.